DWARF_SET_RELOC_APPLICATION(3)

NAME
dwarf_set_reloc_application - set a library-wide relocation flag

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_set_reloc_application(int apply);

DESCRIPTION
Function dwarf_set_reloc_application() allows applications to specify how relocation information is to be handled by the DWARF(3) library.

If the argument apply holds a non-zero value, the library will process all the relevant “.rel” and “.rela” relocation sections and will apply the relocation records found to their corresponding DWARF sections.

If the argument apply is zero, the library will not attempt to apply any relocations.

The default behaviour of the library is to process relocation records.

NOTES
Function dwarf_set_reloc_application() should be called before initialising a dwarf debugging context, i.e, it should be called by the application before calling either of the functions dwarf_init(3) or dwarf_elf_init(3).

RETURN VALUES
Function dwarf_set_reloc_application() returns the previous value of the library-wide relocation application flag.

ERRORS
Function dwarf_set_reloc_application() does not return an error.

SEE ALSO
dwarf(3), dwarf_elf_init(3), dwarf_init(3)